Makefile.in 46 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228122912301231123212331234123512361237123812391240124112421243124412451246124712481249125012511252125312541255125612571258125912601261126212631264126512661267126812691270127112721273127412751276127712781279128012811282128312841285128612871288128912901291129212931294129512961297129812991300130113021303130413051306130713081309131013111312131313141315131613171318131913201321132213231324132513261327132813291330133113321333133413351336133713381339134013411342134313441345134613471348
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # Copyright (c) 2009 Thorsten Kukuk <kukuk@thkukuk.de>
  14. # Copyright (c) 2006 Red Hat, Inc.
  15. #
  16. VPATH = @srcdir@
  17. am__is_gnu_make = { \
  18. if test -z '$(MAKELEVEL)'; then \
  19. false; \
  20. elif test -n '$(MAKE_HOST)'; then \
  21. true; \
  22. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  23. true; \
  24. else \
  25. false; \
  26. fi; \
  27. }
  28. am__make_running_with_option = \
  29. case $${target_option-} in \
  30. ?) ;; \
  31. *) echo "am__make_running_with_option: internal error: invalid" \
  32. "target option '$${target_option-}' specified" >&2; \
  33. exit 1;; \
  34. esac; \
  35. has_opt=no; \
  36. sane_makeflags=$$MAKEFLAGS; \
  37. if $(am__is_gnu_make); then \
  38. sane_makeflags=$$MFLAGS; \
  39. else \
  40. case $$MAKEFLAGS in \
  41. *\\[\ \ ]*) \
  42. bs=\\; \
  43. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  44. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  45. esac; \
  46. fi; \
  47. skip_next=no; \
  48. strip_trailopt () \
  49. { \
  50. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  51. }; \
  52. for flg in $$sane_makeflags; do \
  53. test $$skip_next = yes && { skip_next=no; continue; }; \
  54. case $$flg in \
  55. *=*|--*) continue;; \
  56. -*I) strip_trailopt 'I'; skip_next=yes;; \
  57. -*I?*) strip_trailopt 'I';; \
  58. -*O) strip_trailopt 'O'; skip_next=yes;; \
  59. -*O?*) strip_trailopt 'O';; \
  60. -*l) strip_trailopt 'l'; skip_next=yes;; \
  61. -*l?*) strip_trailopt 'l';; \
  62. -[dEDm]) skip_next=yes;; \
  63. -[JT]) skip_next=yes;; \
  64. esac; \
  65. case $$flg in \
  66. *$$target_option*) has_opt=yes; break;; \
  67. esac; \
  68. done; \
  69. test $$has_opt = yes
  70. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  71. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  72. pkgdatadir = $(datadir)/@PACKAGE@
  73. pkgincludedir = $(includedir)/@PACKAGE@
  74. pkglibdir = $(libdir)/@PACKAGE@
  75. pkglibexecdir = $(libexecdir)/@PACKAGE@
  76. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  77. install_sh_DATA = $(install_sh) -c -m 644
  78. install_sh_PROGRAM = $(install_sh) -c
  79. install_sh_SCRIPT = $(install_sh) -c
  80. INSTALL_HEADER = $(INSTALL_DATA)
  81. transform = $(program_transform_name)
  82. NORMAL_INSTALL = :
  83. PRE_INSTALL = :
  84. POST_INSTALL = :
  85. NORMAL_UNINSTALL = :
  86. PRE_UNINSTALL = :
  87. POST_UNINSTALL = :
  88. build_triplet = @build@
  89. host_triplet = @host@
  90. @HAVE_VERSIONING_TRUE@am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  91. subdir = modules/pam_namespace
  92. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  93. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  94. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  95. $(top_srcdir)/m4/intlmacosx.m4 \
  96. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  97. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  98. $(top_srcdir)/m4/ld-no-undefined.m4 \
  99. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  100. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  101. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  102. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  103. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  104. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  105. $(top_srcdir)/m4/progtest.m4 \
  106. $(top_srcdir)/m4/warn_lang_flags.m4 \
  107. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  108. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  109. $(ACLOCAL_M4)
  110. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  111. $(dist_secureconf_SCRIPTS) $(am__dist_noinst_DATA_DIST) \
  112. $(dist_secureconf_DATA) $(noinst_HEADERS) $(am__DIST_COMMON)
  113. mkinstalldirs = $(install_sh) -d
  114. CONFIG_HEADER = $(top_builddir)/config.h
  115. CONFIG_CLEAN_FILES = pam_namespace_helper pam_namespace.service
  116. CONFIG_CLEAN_VPATH_FILES =
  117. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  118. am__vpath_adj = case $$p in \
  119. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  120. *) f=$$p;; \
  121. esac;
  122. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  123. am__install_max = 40
  124. am__nobase_strip_setup = \
  125. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  126. am__nobase_strip = \
  127. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  128. am__nobase_list = $(am__nobase_strip_setup); \
  129. for p in $$list; do echo "$$p $$p"; done | \
  130. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  131. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  132. if (++n[$$2] == $(am__install_max)) \
  133. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  134. END { for (dir in files) print dir, files[dir] }'
  135. am__base_list = \
  136. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  137. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  138. am__uninstall_files_from_dir = { \
  139. test -z "$$files" \
  140. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  141. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  142. $(am__cd) "$$dir" && rm -f $$files; }; \
  143. }
  144. am__installdirs = "$(DESTDIR)$(securelibdir)" \
  145. "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(sbindir)" \
  146. "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" \
  147. "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(servicedir)"
  148. LTLIBRARIES = $(securelib_LTLIBRARIES)
  149. pam_namespace_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  150. am_pam_namespace_la_OBJECTS = pam_namespace.lo md5.lo argv_parse.lo
  151. pam_namespace_la_OBJECTS = $(am_pam_namespace_la_OBJECTS)
  152. AM_V_lt = $(am__v_lt_@AM_V@)
  153. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  154. am__v_lt_0 = --silent
  155. am__v_lt_1 =
  156. SCRIPTS = $(dist_secureconf_SCRIPTS) $(sbin_SCRIPTS)
  157. AM_V_P = $(am__v_P_@AM_V@)
  158. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  159. am__v_P_0 = false
  160. am__v_P_1 = :
  161. AM_V_GEN = $(am__v_GEN_@AM_V@)
  162. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  163. am__v_GEN_0 = @echo " GEN " $@;
  164. am__v_GEN_1 =
  165. AM_V_at = $(am__v_at_@AM_V@)
  166. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  167. am__v_at_0 = @
  168. am__v_at_1 =
  169. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  170. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  171. am__maybe_remake_depfiles = depfiles
  172. am__depfiles_remade = ./$(DEPDIR)/argv_parse.Plo ./$(DEPDIR)/md5.Plo \
  173. ./$(DEPDIR)/pam_namespace.Plo
  174. am__mv = mv -f
  175. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  176. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  177. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  178. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  179. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  180. $(AM_CFLAGS) $(CFLAGS)
  181. AM_V_CC = $(am__v_CC_@AM_V@)
  182. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  183. am__v_CC_0 = @echo " CC " $@;
  184. am__v_CC_1 =
  185. CCLD = $(CC)
  186. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  187. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  188. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  189. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  190. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  191. am__v_CCLD_0 = @echo " CCLD " $@;
  192. am__v_CCLD_1 =
  193. SOURCES = $(pam_namespace_la_SOURCES)
  194. DIST_SOURCES = $(pam_namespace_la_SOURCES)
  195. am__can_run_installinfo = \
  196. case $$AM_UPDATE_INFO_DIR in \
  197. n|no|NO) false;; \
  198. *) (install-info --version) >/dev/null 2>&1;; \
  199. esac
  200. man5dir = $(mandir)/man5
  201. man8dir = $(mandir)/man8
  202. NROFF = nroff
  203. MANS = $(dist_man_MANS)
  204. am__dist_noinst_DATA_DIST = README
  205. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA) $(service_DATA)
  206. HEADERS = $(noinst_HEADERS)
  207. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  208. # Read a list of newline-separated strings from the standard input,
  209. # and print each of them once, without duplicates. Input order is
  210. # *not* preserved.
  211. am__uniquify_input = $(AWK) '\
  212. BEGIN { nonempty = 0; } \
  213. { items[$$0] = 1; nonempty = 1; } \
  214. END { if (nonempty) { for (i in items) print i; }; } \
  215. '
  216. # Make sure the list of sources is unique. This is necessary because,
  217. # e.g., the same source file might be shared among _SOURCES variables
  218. # for different programs/libraries.
  219. am__define_uniq_tagged_files = \
  220. list='$(am__tagged_files)'; \
  221. unique=`for i in $$list; do \
  222. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  223. done | $(am__uniquify_input)`
  224. ETAGS = etags
  225. CTAGS = ctags
  226. am__tty_colors_dummy = \
  227. mgn= red= grn= lgn= blu= brg= std=; \
  228. am__color_tests=no
  229. am__tty_colors = { \
  230. $(am__tty_colors_dummy); \
  231. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  232. am__color_tests=no; \
  233. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  234. am__color_tests=yes; \
  235. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  236. am__color_tests=yes; \
  237. fi; \
  238. if test $$am__color_tests = yes; then \
  239. red=''; \
  240. grn=''; \
  241. lgn=''; \
  242. blu=''; \
  243. mgn=''; \
  244. brg=''; \
  245. std=''; \
  246. fi; \
  247. }
  248. am__recheck_rx = ^[ ]*:recheck:[ ]*
  249. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  250. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  251. # A command that, given a newline-separated list of test names on the
  252. # standard input, print the name of the tests that are to be re-run
  253. # upon "make recheck".
  254. am__list_recheck_tests = $(AWK) '{ \
  255. recheck = 1; \
  256. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  257. { \
  258. if (rc < 0) \
  259. { \
  260. if ((getline line2 < ($$0 ".log")) < 0) \
  261. recheck = 0; \
  262. break; \
  263. } \
  264. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  265. { \
  266. recheck = 0; \
  267. break; \
  268. } \
  269. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  270. { \
  271. break; \
  272. } \
  273. }; \
  274. if (recheck) \
  275. print $$0; \
  276. close ($$0 ".trs"); \
  277. close ($$0 ".log"); \
  278. }'
  279. # A command that, given a newline-separated list of test names on the
  280. # standard input, create the global log from their .trs and .log files.
  281. am__create_global_log = $(AWK) ' \
  282. function fatal(msg) \
  283. { \
  284. print "fatal: making $@: " msg | "cat >&2"; \
  285. exit 1; \
  286. } \
  287. function rst_section(header) \
  288. { \
  289. print header; \
  290. len = length(header); \
  291. for (i = 1; i <= len; i = i + 1) \
  292. printf "="; \
  293. printf "\n\n"; \
  294. } \
  295. { \
  296. copy_in_global_log = 1; \
  297. global_test_result = "RUN"; \
  298. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  299. { \
  300. if (rc < 0) \
  301. fatal("failed to read from " $$0 ".trs"); \
  302. if (line ~ /$(am__global_test_result_rx)/) \
  303. { \
  304. sub("$(am__global_test_result_rx)", "", line); \
  305. sub("[ ]*$$", "", line); \
  306. global_test_result = line; \
  307. } \
  308. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  309. copy_in_global_log = 0; \
  310. }; \
  311. if (copy_in_global_log) \
  312. { \
  313. rst_section(global_test_result ": " $$0); \
  314. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  315. { \
  316. if (rc < 0) \
  317. fatal("failed to read from " $$0 ".log"); \
  318. print line; \
  319. }; \
  320. printf "\n"; \
  321. }; \
  322. close ($$0 ".trs"); \
  323. close ($$0 ".log"); \
  324. }'
  325. # Restructured Text title.
  326. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  327. # Solaris 10 'make', and several other traditional 'make' implementations,
  328. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  329. # by disabling -e (using the XSI extension "set +e") if it's set.
  330. am__sh_e_setup = case $$- in *e*) set +e;; esac
  331. # Default flags passed to test drivers.
  332. am__common_driver_flags = \
  333. --color-tests "$$am__color_tests" \
  334. --enable-hard-errors "$$am__enable_hard_errors" \
  335. --expect-failure "$$am__expect_failure"
  336. # To be inserted before the command running the test. Creates the
  337. # directory for the log if needed. Stores in $dir the directory
  338. # containing $f, in $tst the test, in $log the log. Executes the
  339. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  340. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  341. # will run the test scripts (or their associated LOG_COMPILER, if
  342. # thy have one).
  343. am__check_pre = \
  344. $(am__sh_e_setup); \
  345. $(am__vpath_adj_setup) $(am__vpath_adj) \
  346. $(am__tty_colors); \
  347. srcdir=$(srcdir); export srcdir; \
  348. case "$@" in \
  349. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  350. *) am__odir=.;; \
  351. esac; \
  352. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  353. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  354. if test -f "./$$f"; then dir=./; \
  355. elif test -f "$$f"; then dir=; \
  356. else dir="$(srcdir)/"; fi; \
  357. tst=$$dir$$f; log='$@'; \
  358. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  359. am__enable_hard_errors=no; \
  360. else \
  361. am__enable_hard_errors=yes; \
  362. fi; \
  363. case " $(XFAIL_TESTS) " in \
  364. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  365. am__expect_failure=yes;; \
  366. *) \
  367. am__expect_failure=no;; \
  368. esac; \
  369. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  370. # A shell command to get the names of the tests scripts with any registered
  371. # extension removed (i.e., equivalently, the names of the test logs, with
  372. # the '.log' extension removed). The result is saved in the shell variable
  373. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  374. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  375. # since that might cause problem with VPATH rewrites for suffix-less tests.
  376. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  377. am__set_TESTS_bases = \
  378. bases='$(TEST_LOGS)'; \
  379. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  380. bases=`echo $$bases`
  381. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  382. RECHECK_LOGS = $(TEST_LOGS)
  383. AM_RECURSIVE_TARGETS = check recheck
  384. TEST_SUITE_LOG = test-suite.log
  385. TEST_EXTENSIONS = @EXEEXT@ .test
  386. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  387. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  388. am__set_b = \
  389. case '$@' in \
  390. */*) \
  391. case '$*' in \
  392. */*) b='$*';; \
  393. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  394. esac;; \
  395. *) \
  396. b='$*';; \
  397. esac
  398. am__test_logs1 = $(TESTS:=.log)
  399. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  400. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  401. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  402. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  403. $(TEST_LOG_FLAGS)
  404. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  405. $(srcdir)/pam_namespace.service.in \
  406. $(srcdir)/pam_namespace_helper.in \
  407. $(top_srcdir)/build-aux/depcomp \
  408. $(top_srcdir)/build-aux/test-driver
  409. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  410. ACLOCAL = @ACLOCAL@
  411. AMTAR = @AMTAR@
  412. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  413. AR = @AR@
  414. AUTOCONF = @AUTOCONF@
  415. AUTOHEADER = @AUTOHEADER@
  416. AUTOMAKE = @AUTOMAKE@
  417. AWK = @AWK@
  418. BROWSER = @BROWSER@
  419. BUILD_CFLAGS = @BUILD_CFLAGS@
  420. BUILD_CPPFLAGS = @BUILD_CPPFLAGS@
  421. BUILD_LDFLAGS = @BUILD_LDFLAGS@
  422. CC = @CC@
  423. CCDEPMODE = @CCDEPMODE@
  424. CC_FOR_BUILD = @CC_FOR_BUILD@
  425. CFLAGS = @CFLAGS@
  426. CPP = @CPP@
  427. CPPFLAGS = @CPPFLAGS@
  428. CRYPTO_LIBS = @CRYPTO_LIBS@
  429. CRYPT_CFLAGS = @CRYPT_CFLAGS@
  430. CRYPT_LIBS = @CRYPT_LIBS@
  431. CYGPATH_W = @CYGPATH_W@
  432. DEFS = @DEFS@
  433. DEPDIR = @DEPDIR@
  434. DLLTOOL = @DLLTOOL@
  435. DSYMUTIL = @DSYMUTIL@
  436. DUMPBIN = @DUMPBIN@
  437. ECHO_C = @ECHO_C@
  438. ECHO_N = @ECHO_N@
  439. ECHO_T = @ECHO_T@
  440. ECONF_CFLAGS = @ECONF_CFLAGS@
  441. ECONF_LIBS = @ECONF_LIBS@
  442. EGREP = @EGREP@
  443. EXEEXT = @EXEEXT@
  444. EXE_CFLAGS = @EXE_CFLAGS@
  445. EXE_LDFLAGS = @EXE_LDFLAGS@
  446. FGREP = @FGREP@
  447. FO2PDF = @FO2PDF@
  448. GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  449. GMSGFMT = @GMSGFMT@
  450. GMSGFMT_015 = @GMSGFMT_015@
  451. GREP = @GREP@
  452. INSTALL = @INSTALL@
  453. INSTALL_DATA = @INSTALL_DATA@
  454. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  455. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  456. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  457. INTLLIBS = @INTLLIBS@
  458. INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  459. LD = @LD@
  460. LDFLAGS = @LDFLAGS@
  461. LEX = @LEX@
  462. LEXLIB = @LEXLIB@
  463. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  464. LIBAUDIT = @LIBAUDIT@
  465. LIBCRYPT = @LIBCRYPT@
  466. LIBDB = @LIBDB@
  467. LIBDL = @LIBDL@
  468. LIBICONV = @LIBICONV@
  469. LIBINTL = @LIBINTL@
  470. LIBOBJS = @LIBOBJS@
  471. LIBPRELUDE_CFLAGS = @LIBPRELUDE_CFLAGS@
  472. LIBPRELUDE_CONFIG = @LIBPRELUDE_CONFIG@
  473. LIBPRELUDE_CONFIG_PREFIX = @LIBPRELUDE_CONFIG_PREFIX@
  474. LIBPRELUDE_LDFLAGS = @LIBPRELUDE_LDFLAGS@
  475. LIBPRELUDE_LIBS = @LIBPRELUDE_LIBS@
  476. LIBPRELUDE_PREFIX = @LIBPRELUDE_PREFIX@
  477. LIBPRELUDE_PTHREAD_CFLAGS = @LIBPRELUDE_PTHREAD_CFLAGS@
  478. LIBS = @LIBS@
  479. LIBSELINUX = @LIBSELINUX@
  480. LIBTOOL = @LIBTOOL@
  481. LIPO = @LIPO@
  482. LN_S = @LN_S@
  483. LTLIBICONV = @LTLIBICONV@
  484. LTLIBINTL = @LTLIBINTL@
  485. LTLIBOBJS = @LTLIBOBJS@
  486. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  487. MAKEINFO = @MAKEINFO@
  488. MANIFEST_TOOL = @MANIFEST_TOOL@
  489. MKDIR_P = @MKDIR_P@
  490. MSGFMT = @MSGFMT@
  491. MSGFMT_015 = @MSGFMT_015@
  492. MSGMERGE = @MSGMERGE@
  493. NIS_CFLAGS = @NIS_CFLAGS@
  494. NIS_LIBS = @NIS_LIBS@
  495. NM = @NM@
  496. NMEDIT = @NMEDIT@
  497. NSL_CFLAGS = @NSL_CFLAGS@
  498. NSL_LIBS = @NSL_LIBS@
  499. OBJDUMP = @OBJDUMP@
  500. OBJEXT = @OBJEXT@
  501. OTOOL = @OTOOL@
  502. OTOOL64 = @OTOOL64@
  503. PACKAGE = @PACKAGE@
  504. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  505. PACKAGE_NAME = @PACKAGE_NAME@
  506. PACKAGE_STRING = @PACKAGE_STRING@
  507. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  508. PACKAGE_URL = @PACKAGE_URL@
  509. PACKAGE_VERSION = @PACKAGE_VERSION@
  510. PATH_SEPARATOR = @PATH_SEPARATOR@
  511. PKG_CONFIG = @PKG_CONFIG@
  512. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  513. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  514. POSUB = @POSUB@
  515. RANLIB = @RANLIB@
  516. SCONFIGDIR = @SCONFIGDIR@
  517. SECUREDIR = @SECUREDIR@
  518. SED = @SED@
  519. SET_MAKE = @SET_MAKE@
  520. SHELL = @SHELL@
  521. STRINGPARAM_HMAC = @STRINGPARAM_HMAC@
  522. STRINGPARAM_VENDORDIR = @STRINGPARAM_VENDORDIR@
  523. STRIP = @STRIP@
  524. TIRPC_CFLAGS = @TIRPC_CFLAGS@
  525. TIRPC_LIBS = @TIRPC_LIBS@
  526. USE_NLS = @USE_NLS@
  527. VERSION = @VERSION@
  528. WARN_CFLAGS = @WARN_CFLAGS@
  529. XGETTEXT = @XGETTEXT@
  530. XGETTEXT_015 = @XGETTEXT_015@
  531. XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  532. XMLCATALOG = @XMLCATALOG@
  533. XMLLINT = @XMLLINT@
  534. XML_CATALOG_FILE = @XML_CATALOG_FILE@
  535. XSLTPROC = @XSLTPROC@
  536. YACC = @YACC@
  537. YFLAGS = @YFLAGS@
  538. abs_builddir = @abs_builddir@
  539. abs_srcdir = @abs_srcdir@
  540. abs_top_builddir = @abs_top_builddir@
  541. abs_top_srcdir = @abs_top_srcdir@
  542. ac_ct_AR = @ac_ct_AR@
  543. ac_ct_CC = @ac_ct_CC@
  544. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  545. am__include = @am__include@
  546. am__leading_dot = @am__leading_dot@
  547. am__quote = @am__quote@
  548. am__tar = @am__tar@
  549. am__untar = @am__untar@
  550. bindir = @bindir@
  551. build = @build@
  552. build_alias = @build_alias@
  553. build_cpu = @build_cpu@
  554. build_os = @build_os@
  555. build_vendor = @build_vendor@
  556. builddir = @builddir@
  557. datadir = @datadir@
  558. datarootdir = @datarootdir@
  559. docdir = @docdir@
  560. dvidir = @dvidir@
  561. exec_prefix = @exec_prefix@
  562. host = @host@
  563. host_alias = @host_alias@
  564. host_cpu = @host_cpu@
  565. host_os = @host_os@
  566. host_vendor = @host_vendor@
  567. htmldir = @htmldir@
  568. includedir = @includedir@
  569. infodir = @infodir@
  570. install_sh = @install_sh@
  571. libdir = @libdir@
  572. libexecdir = @libexecdir@
  573. localedir = @localedir@
  574. localstatedir = @localstatedir@
  575. mandir = @mandir@
  576. mkdir_p = @mkdir_p@
  577. oldincludedir = @oldincludedir@
  578. pam_xauth_path = @pam_xauth_path@
  579. pdfdir = @pdfdir@
  580. prefix = @prefix@
  581. program_transform_name = @program_transform_name@
  582. psdir = @psdir@
  583. sbindir = @sbindir@
  584. sharedstatedir = @sharedstatedir@
  585. srcdir = @srcdir@
  586. sysconfdir = @sysconfdir@
  587. systemdunitdir = @systemdunitdir@
  588. target_alias = @target_alias@
  589. top_build_prefix = @top_build_prefix@
  590. top_builddir = @top_builddir@
  591. top_srcdir = @top_srcdir@
  592. CLEANFILES = *~
  593. MAINTAINERCLEANFILES = $(MANS) README
  594. EXTRA_DIST = $(XMLS)
  595. @HAVE_DOC_TRUE@dist_man_MANS = namespace.conf.5 pam_namespace.8 pam_namespace_helper.8
  596. XMLS = README.xml namespace.conf.5.xml pam_namespace.8.xml pam_namespace_helper.8.xml
  597. dist_check_SCRIPTS = tst-pam_namespace
  598. TESTS = $(dist_check_SCRIPTS)
  599. securelibdir = $(SECUREDIR)
  600. secureconfdir = $(SCONFIGDIR)
  601. namespaceddir = $(SCONFIGDIR)/namespace.d
  602. servicedir = $(systemdunitdir)
  603. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  604. -DSECURECONF_DIR=\"$(SCONFIGDIR)/\" $(WARN_CFLAGS)
  605. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  606. noinst_HEADERS = md5.h pam_namespace.h argv_parse.h
  607. securelib_LTLIBRARIES = pam_namespace.la
  608. pam_namespace_la_SOURCES = pam_namespace.c md5.c argv_parse.c
  609. pam_namespace_la_LIBADD = $(top_builddir)/libpam/libpam.la @LIBSELINUX@
  610. dist_secureconf_DATA = namespace.conf
  611. dist_secureconf_SCRIPTS = namespace.init
  612. service_DATA = pam_namespace.service
  613. sbin_SCRIPTS = pam_namespace_helper
  614. @ENABLE_REGENERATE_MAN_TRUE@dist_noinst_DATA = README
  615. all: all-am
  616. .SUFFIXES:
  617. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  618. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  619. @for dep in $?; do \
  620. case '$(am__configure_deps)' in \
  621. *$$dep*) \
  622. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  623. && { if test -f $@; then exit 0; else break; fi; }; \
  624. exit 1;; \
  625. esac; \
  626. done; \
  627. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_namespace/Makefile'; \
  628. $(am__cd) $(top_srcdir) && \
  629. $(AUTOMAKE) --gnu modules/pam_namespace/Makefile
  630. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  631. @case '$?' in \
  632. *config.status*) \
  633. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  634. *) \
  635. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  636. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  637. esac;
  638. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  639. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  640. $(top_srcdir)/configure: $(am__configure_deps)
  641. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  642. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  643. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  644. $(am__aclocal_m4_deps):
  645. pam_namespace_helper: $(top_builddir)/config.status $(srcdir)/pam_namespace_helper.in
  646. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  647. pam_namespace.service: $(top_builddir)/config.status $(srcdir)/pam_namespace.service.in
  648. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  649. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  650. @$(NORMAL_INSTALL)
  651. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  652. list2=; for p in $$list; do \
  653. if test -f $$p; then \
  654. list2="$$list2 $$p"; \
  655. else :; fi; \
  656. done; \
  657. test -z "$$list2" || { \
  658. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  659. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  660. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  661. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  662. }
  663. uninstall-securelibLTLIBRARIES:
  664. @$(NORMAL_UNINSTALL)
  665. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  666. for p in $$list; do \
  667. $(am__strip_dir) \
  668. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  669. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  670. done
  671. clean-securelibLTLIBRARIES:
  672. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  673. @list='$(securelib_LTLIBRARIES)'; \
  674. locs=`for p in $$list; do echo $$p; done | \
  675. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  676. sort -u`; \
  677. test -z "$$locs" || { \
  678. echo rm -f $${locs}; \
  679. rm -f $${locs}; \
  680. }
  681. pam_namespace.la: $(pam_namespace_la_OBJECTS) $(pam_namespace_la_DEPENDENCIES) $(EXTRA_pam_namespace_la_DEPENDENCIES)
  682. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_namespace_la_OBJECTS) $(pam_namespace_la_LIBADD) $(LIBS)
  683. install-dist_secureconfSCRIPTS: $(dist_secureconf_SCRIPTS)
  684. @$(NORMAL_INSTALL)
  685. @list='$(dist_secureconf_SCRIPTS)'; test -n "$(secureconfdir)" || list=; \
  686. if test -n "$$list"; then \
  687. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  688. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  689. fi; \
  690. for p in $$list; do \
  691. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  692. if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
  693. done | \
  694. sed -e 'p;s,.*/,,;n' \
  695. -e 'h;s|.*|.|' \
  696. -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
  697. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  698. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  699. if ($$2 == $$4) { files[d] = files[d] " " $$1; \
  700. if (++n[d] == $(am__install_max)) { \
  701. print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
  702. else { print "f", d "/" $$4, $$1 } } \
  703. END { for (d in files) print "f", d, files[d] }' | \
  704. while read type dir files; do \
  705. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  706. test -z "$$files" || { \
  707. echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(secureconfdir)$$dir'"; \
  708. $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(secureconfdir)$$dir" || exit $$?; \
  709. } \
  710. ; done
  711. uninstall-dist_secureconfSCRIPTS:
  712. @$(NORMAL_UNINSTALL)
  713. @list='$(dist_secureconf_SCRIPTS)'; test -n "$(secureconfdir)" || exit 0; \
  714. files=`for p in $$list; do echo "$$p"; done | \
  715. sed -e 's,.*/,,;$(transform)'`; \
  716. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  717. install-sbinSCRIPTS: $(sbin_SCRIPTS)
  718. @$(NORMAL_INSTALL)
  719. @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || list=; \
  720. if test -n "$$list"; then \
  721. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  722. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  723. fi; \
  724. for p in $$list; do \
  725. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  726. if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
  727. done | \
  728. sed -e 'p;s,.*/,,;n' \
  729. -e 'h;s|.*|.|' \
  730. -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
  731. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  732. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  733. if ($$2 == $$4) { files[d] = files[d] " " $$1; \
  734. if (++n[d] == $(am__install_max)) { \
  735. print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
  736. else { print "f", d "/" $$4, $$1 } } \
  737. END { for (d in files) print "f", d, files[d] }' | \
  738. while read type dir files; do \
  739. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  740. test -z "$$files" || { \
  741. echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  742. $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  743. } \
  744. ; done
  745. uninstall-sbinSCRIPTS:
  746. @$(NORMAL_UNINSTALL)
  747. @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || exit 0; \
  748. files=`for p in $$list; do echo "$$p"; done | \
  749. sed -e 's,.*/,,;$(transform)'`; \
  750. dir='$(DESTDIR)$(sbindir)'; $(am__uninstall_files_from_dir)
  751. mostlyclean-compile:
  752. -rm -f *.$(OBJEXT)
  753. distclean-compile:
  754. -rm -f *.tab.c
  755. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/argv_parse.Plo@am__quote@ # am--include-marker
  756. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md5.Plo@am__quote@ # am--include-marker
  757. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_namespace.Plo@am__quote@ # am--include-marker
  758. $(am__depfiles_remade):
  759. @$(MKDIR_P) $(@D)
  760. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  761. am--depfiles: $(am__depfiles_remade)
  762. .c.o:
  763. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  764. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  765. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  766. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  767. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  768. .c.obj:
  769. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  770. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  771. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  772. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  773. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  774. .c.lo:
  775. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  776. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  777. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  778. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  779. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  780. mostlyclean-libtool:
  781. -rm -f *.lo
  782. clean-libtool:
  783. -rm -rf .libs _libs
  784. install-man5: $(dist_man_MANS)
  785. @$(NORMAL_INSTALL)
  786. @list1=''; \
  787. list2='$(dist_man_MANS)'; \
  788. test -n "$(man5dir)" \
  789. && test -n "`echo $$list1$$list2`" \
  790. || exit 0; \
  791. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  792. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  793. { for i in $$list1; do echo "$$i"; done; \
  794. if test -n "$$list2"; then \
  795. for i in $$list2; do echo "$$i"; done \
  796. | sed -n '/\.5[a-z]*$$/p'; \
  797. fi; \
  798. } | while read p; do \
  799. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  800. echo "$$d$$p"; echo "$$p"; \
  801. done | \
  802. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  803. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  804. sed 'N;N;s,\n, ,g' | { \
  805. list=; while read file base inst; do \
  806. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  807. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  808. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  809. fi; \
  810. done; \
  811. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  812. while read files; do \
  813. test -z "$$files" || { \
  814. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  815. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  816. done; }
  817. uninstall-man5:
  818. @$(NORMAL_UNINSTALL)
  819. @list=''; test -n "$(man5dir)" || exit 0; \
  820. files=`{ for i in $$list; do echo "$$i"; done; \
  821. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  822. sed -n '/\.5[a-z]*$$/p'; \
  823. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  824. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  825. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  826. install-man8: $(dist_man_MANS)
  827. @$(NORMAL_INSTALL)
  828. @list1=''; \
  829. list2='$(dist_man_MANS)'; \
  830. test -n "$(man8dir)" \
  831. && test -n "`echo $$list1$$list2`" \
  832. || exit 0; \
  833. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  834. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  835. { for i in $$list1; do echo "$$i"; done; \
  836. if test -n "$$list2"; then \
  837. for i in $$list2; do echo "$$i"; done \
  838. | sed -n '/\.8[a-z]*$$/p'; \
  839. fi; \
  840. } | while read p; do \
  841. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  842. echo "$$d$$p"; echo "$$p"; \
  843. done | \
  844. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  845. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  846. sed 'N;N;s,\n, ,g' | { \
  847. list=; while read file base inst; do \
  848. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  849. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  850. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  851. fi; \
  852. done; \
  853. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  854. while read files; do \
  855. test -z "$$files" || { \
  856. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  857. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  858. done; }
  859. uninstall-man8:
  860. @$(NORMAL_UNINSTALL)
  861. @list=''; test -n "$(man8dir)" || exit 0; \
  862. files=`{ for i in $$list; do echo "$$i"; done; \
  863. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  864. sed -n '/\.8[a-z]*$$/p'; \
  865. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  866. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  867. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  868. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  869. @$(NORMAL_INSTALL)
  870. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  871. if test -n "$$list"; then \
  872. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  873. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  874. fi; \
  875. for p in $$list; do \
  876. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  877. echo "$$d$$p"; \
  878. done | $(am__base_list) | \
  879. while read files; do \
  880. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  881. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  882. done
  883. uninstall-dist_secureconfDATA:
  884. @$(NORMAL_UNINSTALL)
  885. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  886. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  887. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  888. install-serviceDATA: $(service_DATA)
  889. @$(NORMAL_INSTALL)
  890. @list='$(service_DATA)'; test -n "$(servicedir)" || list=; \
  891. if test -n "$$list"; then \
  892. echo " $(MKDIR_P) '$(DESTDIR)$(servicedir)'"; \
  893. $(MKDIR_P) "$(DESTDIR)$(servicedir)" || exit 1; \
  894. fi; \
  895. for p in $$list; do \
  896. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  897. echo "$$d$$p"; \
  898. done | $(am__base_list) | \
  899. while read files; do \
  900. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(servicedir)'"; \
  901. $(INSTALL_DATA) $$files "$(DESTDIR)$(servicedir)" || exit $$?; \
  902. done
  903. uninstall-serviceDATA:
  904. @$(NORMAL_UNINSTALL)
  905. @list='$(service_DATA)'; test -n "$(servicedir)" || list=; \
  906. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  907. dir='$(DESTDIR)$(servicedir)'; $(am__uninstall_files_from_dir)
  908. ID: $(am__tagged_files)
  909. $(am__define_uniq_tagged_files); mkid -fID $$unique
  910. tags: tags-am
  911. TAGS: tags
  912. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  913. set x; \
  914. here=`pwd`; \
  915. $(am__define_uniq_tagged_files); \
  916. shift; \
  917. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  918. test -n "$$unique" || unique=$$empty_fix; \
  919. if test $$# -gt 0; then \
  920. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  921. "$$@" $$unique; \
  922. else \
  923. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  924. $$unique; \
  925. fi; \
  926. fi
  927. ctags: ctags-am
  928. CTAGS: ctags
  929. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  930. $(am__define_uniq_tagged_files); \
  931. test -z "$(CTAGS_ARGS)$$unique" \
  932. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  933. $$unique
  934. GTAGS:
  935. here=`$(am__cd) $(top_builddir) && pwd` \
  936. && $(am__cd) $(top_srcdir) \
  937. && gtags -i $(GTAGS_ARGS) "$$here"
  938. cscopelist: cscopelist-am
  939. cscopelist-am: $(am__tagged_files)
  940. list='$(am__tagged_files)'; \
  941. case "$(srcdir)" in \
  942. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  943. *) sdir=$(subdir)/$(srcdir) ;; \
  944. esac; \
  945. for i in $$list; do \
  946. if test -f "$$i"; then \
  947. echo "$(subdir)/$$i"; \
  948. else \
  949. echo "$$sdir/$$i"; \
  950. fi; \
  951. done >> $(top_builddir)/cscope.files
  952. distclean-tags:
  953. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  954. # Recover from deleted '.trs' file; this should ensure that
  955. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  956. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  957. # to avoid problems with "make -n".
  958. .log.trs:
  959. rm -f $< $@
  960. $(MAKE) $(AM_MAKEFLAGS) $<
  961. # Leading 'am--fnord' is there to ensure the list of targets does not
  962. # expand to empty, as could happen e.g. with make check TESTS=''.
  963. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  964. am--force-recheck:
  965. @:
  966. $(TEST_SUITE_LOG): $(TEST_LOGS)
  967. @$(am__set_TESTS_bases); \
  968. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  969. redo_bases=`for i in $$bases; do \
  970. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  971. done`; \
  972. if test -n "$$redo_bases"; then \
  973. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  974. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  975. if $(am__make_dryrun); then :; else \
  976. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  977. fi; \
  978. fi; \
  979. if test -n "$$am__remaking_logs"; then \
  980. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  981. "recursion detected" >&2; \
  982. elif test -n "$$redo_logs"; then \
  983. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  984. fi; \
  985. if $(am__make_dryrun); then :; else \
  986. st=0; \
  987. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  988. for i in $$redo_bases; do \
  989. test -f $$i.trs && test -r $$i.trs \
  990. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  991. test -f $$i.log && test -r $$i.log \
  992. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  993. done; \
  994. test $$st -eq 0 || exit 1; \
  995. fi
  996. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  997. ws='[ ]'; \
  998. results=`for b in $$bases; do echo $$b.trs; done`; \
  999. test -n "$$results" || results=/dev/null; \
  1000. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  1001. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  1002. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  1003. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  1004. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  1005. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  1006. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  1007. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  1008. success=true; \
  1009. else \
  1010. success=false; \
  1011. fi; \
  1012. br='==================='; br=$$br$$br$$br$$br; \
  1013. result_count () \
  1014. { \
  1015. if test x"$$1" = x"--maybe-color"; then \
  1016. maybe_colorize=yes; \
  1017. elif test x"$$1" = x"--no-color"; then \
  1018. maybe_colorize=no; \
  1019. else \
  1020. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  1021. fi; \
  1022. shift; \
  1023. desc=$$1 count=$$2; \
  1024. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  1025. color_start=$$3 color_end=$$std; \
  1026. else \
  1027. color_start= color_end=; \
  1028. fi; \
  1029. echo "$${color_start}# $$desc $$count$${color_end}"; \
  1030. }; \
  1031. create_testsuite_report () \
  1032. { \
  1033. result_count $$1 "TOTAL:" $$all "$$brg"; \
  1034. result_count $$1 "PASS: " $$pass "$$grn"; \
  1035. result_count $$1 "SKIP: " $$skip "$$blu"; \
  1036. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  1037. result_count $$1 "FAIL: " $$fail "$$red"; \
  1038. result_count $$1 "XPASS:" $$xpass "$$red"; \
  1039. result_count $$1 "ERROR:" $$error "$$mgn"; \
  1040. }; \
  1041. { \
  1042. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  1043. $(am__rst_title); \
  1044. create_testsuite_report --no-color; \
  1045. echo; \
  1046. echo ".. contents:: :depth: 2"; \
  1047. echo; \
  1048. for b in $$bases; do echo $$b; done \
  1049. | $(am__create_global_log); \
  1050. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  1051. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  1052. if $$success; then \
  1053. col="$$grn"; \
  1054. else \
  1055. col="$$red"; \
  1056. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  1057. fi; \
  1058. echo "$${col}$$br$${std}"; \
  1059. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  1060. echo "$${col}$$br$${std}"; \
  1061. create_testsuite_report --maybe-color; \
  1062. echo "$$col$$br$$std"; \
  1063. if $$success; then :; else \
  1064. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  1065. if test -n "$(PACKAGE_BUGREPORT)"; then \
  1066. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  1067. fi; \
  1068. echo "$$col$$br$$std"; \
  1069. fi; \
  1070. $$success || exit 1
  1071. check-TESTS: $(dist_check_SCRIPTS)
  1072. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  1073. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1074. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1075. @set +e; $(am__set_TESTS_bases); \
  1076. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1077. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1078. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1079. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1080. exit $$?;
  1081. recheck: all $(dist_check_SCRIPTS)
  1082. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1083. @set +e; $(am__set_TESTS_bases); \
  1084. bases=`for i in $$bases; do echo $$i; done \
  1085. | $(am__list_recheck_tests)` || exit 1; \
  1086. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1087. log_list=`echo $$log_list`; \
  1088. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1089. am__force_recheck=am--force-recheck \
  1090. TEST_LOGS="$$log_list"; \
  1091. exit $$?
  1092. tst-pam_namespace.log: tst-pam_namespace
  1093. @p='tst-pam_namespace'; \
  1094. b='tst-pam_namespace'; \
  1095. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1096. --log-file $$b.log --trs-file $$b.trs \
  1097. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1098. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1099. .test.log:
  1100. @p='$<'; \
  1101. $(am__set_b); \
  1102. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1103. --log-file $$b.log --trs-file $$b.trs \
  1104. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1105. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1106. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1107. @am__EXEEXT_TRUE@ @p='$<'; \
  1108. @am__EXEEXT_TRUE@ $(am__set_b); \
  1109. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1110. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  1111. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1112. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  1113. distdir: $(BUILT_SOURCES)
  1114. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1115. distdir-am: $(DISTFILES)
  1116. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1117. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1118. list='$(DISTFILES)'; \
  1119. dist_files=`for file in $$list; do echo $$file; done | \
  1120. sed -e "s|^$$srcdirstrip/||;t" \
  1121. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1122. case $$dist_files in \
  1123. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1124. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1125. sort -u` ;; \
  1126. esac; \
  1127. for file in $$dist_files; do \
  1128. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1129. if test -d $$d/$$file; then \
  1130. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1131. if test -d "$(distdir)/$$file"; then \
  1132. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1133. fi; \
  1134. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1135. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1136. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1137. fi; \
  1138. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1139. else \
  1140. test -f "$(distdir)/$$file" \
  1141. || cp -p $$d/$$file "$(distdir)/$$file" \
  1142. || exit 1; \
  1143. fi; \
  1144. done
  1145. check-am: all-am
  1146. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1147. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1148. check: check-am
  1149. all-am: Makefile $(LTLIBRARIES) $(SCRIPTS) $(MANS) $(DATA) $(HEADERS)
  1150. installdirs:
  1151. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)" "$(DESTDIR)$(servicedir)"; do \
  1152. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1153. done
  1154. install: install-am
  1155. install-exec: install-exec-am
  1156. install-data: install-data-am
  1157. uninstall: uninstall-am
  1158. install-am: all-am
  1159. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1160. installcheck: installcheck-am
  1161. install-strip:
  1162. if test -z '$(STRIP)'; then \
  1163. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1164. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1165. install; \
  1166. else \
  1167. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1168. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1169. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1170. fi
  1171. mostlyclean-generic:
  1172. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1173. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1174. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1175. clean-generic:
  1176. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1177. distclean-generic:
  1178. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1179. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1180. maintainer-clean-generic:
  1181. @echo "This command is intended for maintainers to use"
  1182. @echo "it deletes files that may require special tools to rebuild."
  1183. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1184. clean: clean-am
  1185. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1186. mostlyclean-am
  1187. distclean: distclean-am
  1188. -rm -f ./$(DEPDIR)/argv_parse.Plo
  1189. -rm -f ./$(DEPDIR)/md5.Plo
  1190. -rm -f ./$(DEPDIR)/pam_namespace.Plo
  1191. -rm -f Makefile
  1192. distclean-am: clean-am distclean-compile distclean-generic \
  1193. distclean-tags
  1194. dvi: dvi-am
  1195. dvi-am:
  1196. html: html-am
  1197. html-am:
  1198. info: info-am
  1199. info-am:
  1200. install-data-am: install-data-local install-dist_secureconfDATA \
  1201. install-dist_secureconfSCRIPTS install-man \
  1202. install-securelibLTLIBRARIES install-serviceDATA
  1203. install-dvi: install-dvi-am
  1204. install-dvi-am:
  1205. install-exec-am: install-sbinSCRIPTS
  1206. install-html: install-html-am
  1207. install-html-am:
  1208. install-info: install-info-am
  1209. install-info-am:
  1210. install-man: install-man5 install-man8
  1211. install-pdf: install-pdf-am
  1212. install-pdf-am:
  1213. install-ps: install-ps-am
  1214. install-ps-am:
  1215. installcheck-am:
  1216. maintainer-clean: maintainer-clean-am
  1217. -rm -f ./$(DEPDIR)/argv_parse.Plo
  1218. -rm -f ./$(DEPDIR)/md5.Plo
  1219. -rm -f ./$(DEPDIR)/pam_namespace.Plo
  1220. -rm -f Makefile
  1221. maintainer-clean-am: distclean-am maintainer-clean-generic
  1222. mostlyclean: mostlyclean-am
  1223. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1224. mostlyclean-libtool
  1225. pdf: pdf-am
  1226. pdf-am:
  1227. ps: ps-am
  1228. ps-am:
  1229. uninstall-am: uninstall-dist_secureconfDATA \
  1230. uninstall-dist_secureconfSCRIPTS uninstall-man \
  1231. uninstall-sbinSCRIPTS uninstall-securelibLTLIBRARIES \
  1232. uninstall-serviceDATA
  1233. uninstall-man: uninstall-man5 uninstall-man8
  1234. .MAKE: check-am install-am install-strip
  1235. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1236. check-am clean clean-generic clean-libtool \
  1237. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1238. distclean distclean-compile distclean-generic \
  1239. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1240. html-am info info-am install install-am install-data \
  1241. install-data-am install-data-local install-dist_secureconfDATA \
  1242. install-dist_secureconfSCRIPTS install-dvi install-dvi-am \
  1243. install-exec install-exec-am install-html install-html-am \
  1244. install-info install-info-am install-man install-man5 \
  1245. install-man8 install-pdf install-pdf-am install-ps \
  1246. install-ps-am install-sbinSCRIPTS install-securelibLTLIBRARIES \
  1247. install-serviceDATA install-strip installcheck installcheck-am \
  1248. installdirs maintainer-clean maintainer-clean-generic \
  1249. mostlyclean mostlyclean-compile mostlyclean-generic \
  1250. mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
  1251. uninstall uninstall-am uninstall-dist_secureconfDATA \
  1252. uninstall-dist_secureconfSCRIPTS uninstall-man uninstall-man5 \
  1253. uninstall-man8 uninstall-sbinSCRIPTS \
  1254. uninstall-securelibLTLIBRARIES uninstall-serviceDATA
  1255. .PRECIOUS: Makefile
  1256. install-data-local:
  1257. mkdir -p $(DESTDIR)$(namespaceddir)
  1258. @ENABLE_REGENERATE_MAN_TRUE@-include $(top_srcdir)/Make.xml.rules
  1259. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1260. # Otherwise a system limit (for SysV at least) may be exceeded.
  1261. .NOEXPORT: